TLSServerParametersConfig (Apache CXF JavaDoc 4.1.0-SNAPSHOT API)
Description: declaration: package: org.apache.cxf.configuration.jsse, class: TLSServerParametersConfig

Package org.apache.cxf.configuration.jsse

# Class TLSServerParametersConfig

java.lang.Object
org.apache.cxf.configuration.jsse.TLSParameterBase
org.apache.cxf.configuration.jsse.TLSServerParameters
org.apache.cxf.configuration.jsse.TLSServerParametersConfig

public class TLSServerParametersConfig extends TLSServerParameters
This class is used by Spring Config to convert the TLSServerParameters JAXB generated type into programmatic TLS Server Parameters for the configuration of the http-destination.

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static class`
  `TLSServerParametersConfig.TLSServerParametersTypeInternal`

- ## Field Summary

  ### Fields inherited from class org.apache.cxf.configuration.jsse.TLSParameterBase

  `certAlias, certConstraints, cipherSuiteFilters, ciphersuites, DEFAULT_HTTPS_PROTOCOLS, keyManagers, protocol, provider, secureRandom, trustManagers`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TLSServerParametersConfig(org.apache.cxf.configuration.security.TLSServerParametersType params)`

- ## Method Summary

  ### Methods inherited from class org.apache.cxf.configuration.jsse.TLSServerParameters

  `getClientAuthentication, getExcludeProtocols, getIncludeProtocols, getPreferredServerProtocols, isSniHostCheck, setClientAuthentication, setExcludeProtocols, setIncludeProtocols, setSniHostCheck`

  ### Methods inherited from class org.apache.cxf.configuration.jsse.TLSParameterBase

  `getCertAlias, getCertConstraints, getCipherSuites, getCipherSuitesFilter, getJsseProvider, getKeyManagers, getSecureRandom, getSecureSocketProtocol, getTrustManagers, setCertAlias, setCertConstraints, setCipherSuites, setCipherSuitesFilter, setJsseProvider, setKeyManagers, setSecureRandom, setSecureSocketProtocol, setTrustManagers`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### TLSServerParametersConfig

    public TLSServerParametersConfig(org.apache.cxf.configuration.security.TLSServerParametersType params) throws GeneralSecurityException, IOException
    Throws:
      `GeneralSecurityException`
      `IOException`